#undef FNAME
#undef NAME
#undef ICON

/* metadata */
#define FNAME image_quality_scale_start
#define NAME "Image Quality Scale"
#define ICON "data.png"

#ifndef PROTO
# ifndef UI
#  include "main.h"

/* standard var */
static int done = 0;

/* private data */
static Evas_Object *o_images[1];

/* setup */
static void _setup(void)
{
   int i;
   Evas_Object *o;
   for (i = 0; i < 1; i++)
     {
	o = eo_add(EVAS_IMAGE_CLASS, G_evas);
	o_images[i] = o;
	eo_do(o, efl_file_set(build_path("tp.png"), NULL),
	         evas_obj_image_fill_set(0, 0, 640, 480),
	         evas_obj_size_set(640, 480),
	         evas_obj_visibility_set(EINA_TRUE));
     }
   done = 0;
}

/* cleanup */
static void _cleanup(void)
{
   int i;
   for (i = 0; i < 1; i++) eo_del(o_images[i]);
}

/* loop - do things */
static void _loop(double t, int f)
{
   int i;
   Evas_Coord x, y, w, h;
   for (i = 0; i < 1; i++)
     {
        w = 640;
	h = 480;
	w *= (f / 100.0) * 4.0;
	h *= (f / 100.0) * 4.0;
	x = (win_w / 2) - (w / 2);
	y = (win_h / 2) - (h / 2);
	eo_do(o_images[i], evas_obj_position_set(x, y),
	                   evas_obj_size_set(w, h),
	                   evas_obj_image_fill_set(0, 0, w, h));
     }
   FPS_STD(NAME);
}

/* prepend special key handlers if interactive (before STD) */
static void _key(char *key)
{
   KEY_STD;
}












/* template stuff - ignore */
# endif
#endif

#ifdef UI
_ui_menu_item_add(ICON, NAME, FNAME);
#endif

#ifdef PROTO
void FNAME(void);
#endif

#ifndef PROTO
# ifndef UI
void FNAME(void)
{
   ui_func_set(_key, _loop);
   _setup();
}
# endif
#endif
#undef FNAME
#undef NAME
#undef ICON
